function OnWarpEnter()
	SetMarker("cs\\Warp_0032.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0030.wp" , 0 , 0)
	SetMarker("cs\\Warp_0039.wp" , 0 , 0)
	SetMarker("fenugreek",2,0)

	if balcony_open then
		AnimationSetToEnd("cxa1")
		AnimationSetToEnd("cya1")
	else
		AnimationSetToStart("cya1")
		AnimationSetToStart("cxa1")
	end

	if ETAT_DAY == "D3" then 

		if NeedSmith and  not REMEDY_READY_D3 and not KEYMOLD_TALK then
			if not SAVE_01 then
				-- SAVE
				SAVE_01 = true
				SaveGame("1.xml")
			end
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0032.wp" then 
		if GIVE_KEY_MOLD and not KEY_IMPRESSION_READY then -- activé en W25/W28/W45
			DrawText("Ma2042","Ma2042.ogg",0) -- Il n'a certainement pas eu le temps de terminer la clef, je reviendrai plus tard.
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\cs\\Warp_0030.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0039.wp" then 
		ChangeWarp(objectName)
	end

	if objectName=="3D\\fenugreek" then
		if ObjectCount("B_fenugrec") < 3 then
			AddToBag("B_fenugrec")
		else
			DrawText("Ma0207","Ma0207.ogg",0) -- J'en ai suffisamment.
		end
	end
end
